export const BASE_API_URL = import.meta.env.VITE_API_URL ?? window.location.origin;

export function makeApiUrl(pathnameAndQueryparam: string) {
    return new URL(pathnameAndQueryparam, BASE_API_URL).toString();
}

export async function fetcher(url: string) {
    const u = makeApiUrl(url);
    const res = await fetch(u);
    return res.json();
}
